[project]
channels = ["conda-forge"]
description = "Code and plots for OR24 paper \"Better Regularization for Sequential Decision Spaces: Fast Convergence Rates for Nash, Correlated, and Team Equilibria\""
name = "or24_dge"
platforms = ["linux-64"]
version = "0.1.0"

[tasks]
configure = { cmd = [
    "cmake",
    "-G",
    "Ninja",
    "-S",
    ".",
    "-DCMAKE_BUILD_TYPE=Release",
    # "-DCMAKE_BUILD_TYPE=Debug",
    "-DCMAKE_SYSTEM_PREFIX_PATH=$CONDA_PREFIX",
    "-DCMAKE_PREFIX_PATH=$CONDA_PREFIX",
    "-B",
    "build",
] }

build = { cmd = ["ninja", "-C", "build"], depends-on = ["configure"] }

[dependencies]
cmake = "3.30"
capnproto = "1.0.2"
gflags = ">=2.2.2,<3"
ninja = ">=1.12.1,<2"
eigen = ">=3.4.0,<4"
python = ">=3.11"
matplotlib = ">=3.9"
gxx = ">=14.2"
gcc = ">=14.2"
